Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589471 - Review Request: perl-Test-POE-Server-TCP - POE Component providing TCP server services for test cases
Summary: Review Request: perl-Test-POE-Server-TCP - POE Component providing TCP serve...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 08:59 UTC by Yanko Kaneti
Modified: 2011-08-30 10:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-30 10:54:03 UTC
mmaslano: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Yanko Kaneti 2010-05-06 08:59:52 UTC
Spec URL: http://declera.com/~yaneti/perl-Test-POE-Server-TCP/perl-Test-POE-Server-TCP.spec
SRPM URL: http://declera.com/~yaneti/perl-Test-POE-Server-TCP/perl-Test-POE-Server-TCP-1.10-1.fc14.src.rpm
Description: 
Test::POE::Server::TCP is a POE component that provides a TCP server
framework for inclusion in client component test cases, instead of having
to roll your own.

This happens to be a build requirement for some other POE components that are already in the distribution.

Comment 1 Marcela Mašláňová 2010-05-07 07:45:40 UTC
Almost good ;-)

Only few comments:
Remove this, MODULE_COMPAT it's enough -> BuildRequires:  perl >= 1:5.6.0
Also do you need all requires? Don't they needed only as BuildRequires?
Change PERL_INSTALL_ROOT to DESTDIR, because this bug wasn't still removed from cpanspec ;-)

None of these are blockers. Please fix it before upload.

ACCEPTED

Comment 2 Yanko Kaneti 2010-05-07 10:37:04 UTC
(In reply to comment #1)
> Remove this, MODULE_COMPAT it's enough -> BuildRequires:  perl >= 1:5.6.0

For this I've decided to stay with the Perl packaging guidelines for now. 
http://fedoraproject.org/wiki/Packaging/Perl#Versioned_MODULE_COMPAT__Requires
Once they are revised some automated tool would probably be used to remove that line for all modules.

> Also do you need all requires? Don't they needed only as BuildRequires?

It doesn't seem the perl autorequires work for usage declarations like the one that can be found in /usr/share/perl5/Test/POE/Server/TCP.pm

use POE qw(Wheel::SocketFactory Wheel::ReadWrite Filter::Line);

If not explicitly declared the built package ends without requirements for these.
I've only removed the superfluous BuildRequires:  perl(POE::Filter)

> Change PERL_INSTALL_ROOT to DESTDIR, because this bug wasn't still removed from
> cpanspec ;-)

Done
 
> None of these are blockers. Please fix it before upload.
> 
> ACCEPTED    

Thanks!

New Package CVS Request
=======================
Package Name: perl-Test-POE-Server-TCP
Short Description: POE Component providing TCP server services for test cases
Owners: yaneti
Branches: F-13
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-05-09 02:09:27 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Yanko Kaneti 2010-05-09 05:40:59 UTC
Imported. Builds done. Bodhi update for F-13 submitted. 

Thanks.

Comment 5 Yanko Kaneti 2011-08-28 15:48:34 UTC
Package Change Request
======================
Package Name: perl-Test-POE-Server-TCP
New Branches: el6
Owners: remi

Comment 6 Gwyn Ciesla 2011-08-29 11:57:58 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.